Skip to content
Login Sign up

Amazon Bestsellers

Amazon Bestsellers returns the real-time top-selling products for any category or sub-category as structured JSON.

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key (shared with Amazon).
enginestringyesMust be amazon.
typestringyesMust be bestsellers.
category_idstringyesThe category ID or alias (for example, electronics).
parent_aliasstringnoParent category alias when querying a sub-category.
domainstringnoMarketplace domain, default amazon.com.
devicedesktop | mobilenoSimulated device.
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics"
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/gp/bestsellers/electronics",
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "bestsellers",
"category_id": "electronics"
},
"category_results": {
"product_results": [
{
"position": 1,
"product_id": "B08C1W5N87",
"title": "Fire TV Stick with Alexa Voice Remote",
"link": "/dp/B08C1W5N87",
"thumbnail": "https://images-na.ssl-images-amazon.com/images/I/51KKR5uGn6L.jpg",
"price": "$19.99",
"rating": {
"rating": "4.7 out of 5 stars",
"total_ratings": 141438
}
},
{
"position": 2,
"product_id": "B08XVYZ1Y5",
"title": "Fire TV Stick 4K",
"price": "$29.99",
"rating": { "rating": "4.8 out of 5 stars", "total_ratings": 42108 }
}
]
}
}